%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global pypi_name python-ironic-inspector-client

Name:           python-ironic-inspector-client
Version:        1.9.0
Release:        7%{?dist}
Summary:        Python client and CLI tool for Ironic Inspector

License:        ASL 2.0
URL:            https://launchpad.net/python-ironic-inspector-client
Source0:        https://pypi.io/packages/source/p/%{pypi_name}/%{pypi_name}-%{upstream_version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-pbr
BuildRequires:  python2-setuptools

%global _description\
Ironic Inspector is an auxiliary service for discovering hardware properties\
for a node managed by OpenStack Ironic. Hardware introspection or hardware\
properties discovery is a process of getting hardware parameters required for\
scheduling from a bare metal node, given it’s power management credentials\
(e.g. IPMI address, user name and password).\
\
This package contains Python client and command line tool for Ironic Inspector.

%description %_description

%package -n python2-ironic-inspector-client
Summary: %summary
Requires:  python2-osc-lib
Requires:  python2-oslo-i18n
Requires:  python2-oslo-utils
Requires:  python2-openstackclient
Requires:  python2-requests
Requires:  python2-six
Obsoletes: python-ironic-discoverd < 1.1.0-3
Provides: python-ironic-discoverd = %{upstream_version}
%{?python_provide:%python_provide python2-ironic-inspector-client}

%description -n python2-ironic-inspector-client %_description

%prep
%setup -q -n %{pypi_name}-%{upstream_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
# Let RPM handle the dependencies
rm -f {test-,}requirements.txt

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%files -n python2-ironic-inspector-client
%doc README.rst LICENSE
%{python2_sitelib}/ironic_inspector_client*
%{python2_sitelib}/python_ironic_inspector_client*egg-info

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Mar 09 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.9.0-6
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.9.0-4
- Python 2 binary package renamed to python2-ironic-inspector-client
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Sep 12 2016 Haikel Guemar <hguemar@fedoraproject.org> 1.9.0-1
- Update to 1.9.0

